установка на FreeBSD Linux пакетов rmp

Проблемы с установкой, настройкой и работой системных и сетевых программ.

Модераторы: GRooVE, alexco

Правила форума
Убедительная просьба юзать теги [code] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
Аватара пользователя
Raven2000
-=_UNIX_=-
Сообщения: 4423
Зарегистрирован: 2006-10-29 17:59:13
Откуда: Там, где нас нет.
Контактная информация:

установка на FreeBSD Linux пакетов rmp

Непрочитанное сообщение Raven2000 » 2007-03-14 0:16:53

Народ ай нид хелп
Мне нужно поставить прогу sav-1.0.0-61.i386.rpm
GПытаюсь поставить выдает (я понимаю что ему ненравится)

Код: Выделить всё

pkg_add sav-1.0.0-61.i386.rpm
tar: Unrecognized archive format: Inappropriate file type or format
pkg_add: tar extract of /dist/sav-1.0.0-61.i386.rpm failed!
pkg_add: unable to extract table of contents file from '/symantec/sav-1.0.0-61.i386.rpm' - not a package?
Линукс совместимоть есть.

Код: Выделить всё

[root@server /symantec]# kldstat
Id Refs Address    Size     Name
 1    7 0xc0400000 2c0ad4   kernel
 2    1 0xc06c1000 70ed4    acpi.ko
 3    1 0xc2013000 1f000    linux.ko
Че делать поможите :) как установить *.rmp :?:

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35150
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Непрочитанное сообщение Alex Keda » 2007-03-14 8:59:52

У-у-у-у.... Батенько, а поиск по портам мы так и не освоили чтоли? :)))

Код: Выделить всё

%make search name='rpm-3'
Port:   rpm-3.0.6_13
Path:   /usr/ports/archivers/rpm
Info:   The Red Hat Package Manager
Maint:  ports@FreeBSD.org
B-deps: autoconf-2.13.000227_5 automake-1.4.6_2 gettext-0.14.5_2 gmake-3.81_1 libiconv-1.9.2_2 libtool-1.5.22_4 m4-1.4.8_1 perl-5.8.8 popt-1.7_2
R-deps: gettext-0.14.5_2 libiconv-1.9.2_2 popt-1.7_2
WWW:    http://www.rpm.org/
Убей их всех! Бог потом рассортирует...

Аватара пользователя
Raven2000
-=_UNIX_=-
Сообщения: 4423
Зарегистрирован: 2006-10-29 17:59:13
Откуда: Там, где нас нет.
Контактная информация:

Непрочитанное сообщение Raven2000 » 2007-03-14 9:37:39

/usr/ports/archivers/rpm
Это я тебе вчера показывал в аське...
Я спрашиваю он как в автомате работает или че указывать надо?

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35150
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Непрочитанное сообщение Alex Keda » 2007-03-14 10:03:38

:) а я помню - кто-то спрашивал :)))
=========
ну а почему же установоив rpm ты его добавить пытаешься при помощи pkg_add ?
Убей их всех! Бог потом рассортирует...

Аватара пользователя
Raven2000
-=_UNIX_=-
Сообщения: 4423
Зарегистрирован: 2006-10-29 17:59:13
Откуда: Там, где нас нет.
Контактная информация:

Непрочитанное сообщение Raven2000 » 2007-03-14 10:08:32

ну а почему же установоив rpm ты его добавить пытаешься при помощи pkg_add ?
Я еще неставил rmp неуспел :oops: (мы шпать хотим :)) я так для пробы пытался pkg_add
Как раз вопрос ну та как при установке rmp будет надо поставить конверт. или еще как подскажи если знаешь как запустить. :D Дома попробую :)

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35150
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Непрочитанное сообщение Alex Keda » 2007-03-14 10:12:20

я вообще его ни разу не ставил, и не видел...
Всё сказанное вчера и сегодня, лишь логические выводы из виденного, при установке какого-то порта в режиме совместимости, когда оно само качало rpm и добавляло их одноимённой командой...
Убей их всех! Бог потом рассортирует...

Аватара пользователя
Raven2000
-=_UNIX_=-
Сообщения: 4423
Зарегистрирован: 2006-10-29 17:59:13
Откуда: Там, где нас нет.
Контактная информация:

Непрочитанное сообщение Raven2000 » 2007-03-14 11:28:41

Всё сказанное вчера и сегодня, лишь логические выводы из виденного, при установке какого-то порта в режиме совместимости
Ох :) чуть чуть несгласен коллега все это психосоматические реакции коры головного мозга обусловленные необходимого действия подкоркового создания на внедрения rmp пакетов во враждебную среду обусловленную чуждой реализацией архитектуры системы и необходимостью к обращению в мудрые мысли буддны на то чтобы забить буй и незанимать мозги всякой х%;й :lol: :P
Так что как поставлю так и разберусь ибо и бла бла бла :D

Аватара пользователя
Raven2000
-=_UNIX_=-
Сообщения: 4423
Зарегистрирован: 2006-10-29 17:59:13
Откуда: Там, где нас нет.
Контактная информация:

Непрочитанное сообщение Raven2000 » 2007-03-16 11:22:13

HELP!!!

[root@raven ~/SAVFL]# pkg_info |grep rpm
rpm-3.0.6_13 The Red Hat Package Manager
[root@raven ~/SAVFL]# rpm -i sav-1.0.0-61.i386.rpm
error: failed dependencies:
/bin/sh is needed by sav-1.0.0-61
/bin/sh is needed by sav-1.0.0-61
/bin/sh is needed by sav-1.0.0-61
/bin/sh is needed by sav-1.0.0-61
ld-linux.so.2 is needed by sav-1.0.0-61
libc.so.6 is needed by sav-1.0.0-61
libdl.so.2 is needed by sav-1.0.0-61
libm.so.6 is needed by sav-1.0.0-61
libpthread.so.0 is needed by sav-1.0.0-61
/bin/bash is needed by sav-1.0.0-61
/bin/sh is needed by sav-1.0.0-61
libc.so.6(GLIBC_2.0) is needed by sav-1.0.0-61
libc.so.6(GLIBC_2.1) is needed by sav-1.0.0-61
libc.so.6(GLIBC_2.1.2) is needed by sav-1.0.0-61
libc.so.6(GLIBC_2.1.3) is needed by sav-1.0.0-61
libc.so.6(GLIBC_2.2) is needed by sav-1.0.0-61
libc.so.6(GLIBC_2.2.4) is needed by sav-1.0.0-61
libdl.so.2(GLIBC_2.0) is needed by sav-1.0.0-61
libdl.so.2(GLIBC_2.1) is needed by sav-1.0.0-61
libm.so.6(GLIBC_2.1) is needed by sav-1.0.0-61
libpthread.so.0(GLIBC_2.0) is needed by sav-1.0.0-61
libpthread.so.0(GLIBC_2.1) is needed by sav-1.0.0-61
libpthread.so.0(GLIBC_2.2) is needed by sav-1.0.0-61
Chto delat????

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35150
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Непрочитанное сообщение Alex Keda » 2007-03-16 11:23:44

Зависимости ставить :)))
Убей их всех! Бог потом рассортирует...

Аватара пользователя
Raven2000
-=_UNIX_=-
Сообщения: 4423
Зарегистрирован: 2006-10-29 17:59:13
Откуда: Там, где нас нет.
Контактная информация:

Непрочитанное сообщение Raven2000 » 2007-03-16 11:26:42

On procit iz LInux a gde Bzati??

Аватара пользователя
Raven2000
-=_UNIX_=-
Сообщения: 4423
Зарегистрирован: 2006-10-29 17:59:13
Откуда: Там, где нас нет.
Контактная информация:

Непрочитанное сообщение Raven2000 » 2007-03-16 13:15:04

Люди ну дак как моможите?

Аватара пользователя
dikens3
подполковник
Сообщения: 4856
Зарегистрирован: 2006-09-06 16:24:08
Откуда: Нижний Новгород
Контактная информация:

Непрочитанное сообщение dikens3 » 2007-03-16 14:08:54

lissyara писал(а):Зависимости ставить :)))
И симлинки рисовать. :-)
Лучше установить FreeBSD, чем потратить 30 лет на Linux'ы и выяснить какой из них хуже.

Аватара пользователя
Raven2000
-=_UNIX_=-
Сообщения: 4423
Зарегистрирован: 2006-10-29 17:59:13
Откуда: Там, где нас нет.
Контактная информация:

Непрочитанное сообщение Raven2000 » 2007-03-16 15:09:54

Млин неужели так голимо их ставить..
Чего то нехочится уже запорачиватся :(
Ктонибуть вообще нормально эти пакеты ставил?

Аватара пользователя
dikens3
подполковник
Сообщения: 4856
Зарегистрирован: 2006-09-06 16:24:08
Откуда: Нижний Новгород
Контактная информация:

Непрочитанное сообщение dikens3 » 2007-03-16 15:39:47

Raven2000 писал(а):Млин неужели так голимо их ставить..
Чего то нехочится уже запорачиватся :(
Ктонибуть вообще нормально эти пакеты ставил?
Странный ты человек, по моему в линухе всегда такие проблемы? Поэтому все на FreeBSD рано или поздно переходят.
Сам не ставил и даже идеи такой не появлялось. :-)
Сорри за флуд.
Лучше установить FreeBSD, чем потратить 30 лет на Linux'ы и выяснить какой из них хуже.

Аватара пользователя
Raven2000
-=_UNIX_=-
Сообщения: 4423
Зарегистрирован: 2006-10-29 17:59:13
Откуда: Там, где нас нет.
Контактная информация:

Непрочитанное сообщение Raven2000 » 2007-03-16 20:21:14

Сорри за флуд.
Мдя дей-но флуд...
Странный ты человек,
Интерестно чем? что попробовал поставить на фряху туксовы пакеты и одолели туксовы проблемы :lol:
Сам не ставил и даже идеи такой не появлялось.
Вот вот лучше бы чем подсказал а спам вещь такая огого :) Так что кто не пробует тот непробует :D
Кста когда я с Красной Шапочкой познакомиля и с ее милыми зависимотями то неочень захотел больше ставить софта в итоге послал ее далеко к волку :D
Теперь от меня флуд :P
В общем я забил на эту тему. слишком много глюков наловил :(
И забил систему всякой [мужской половой орган]-ёй гыыы так что х с ними с пакетами :arrow: